Commit 12946a90 authored by Kai Vehmanen's avatar Kai Vehmanen

Added some more API/ABI maintentance notes. Mentioned the icheck tool in the rel-manager howto.

darcs-hash:20060809135948-7659e-27f238b80ad2ab3c23f112a2bee0d4df3685e5ec.gz
parent e9cfc935
......@@ -22,9 +22,10 @@ API/ABI changes and versioning
libsofia-sip-ua:
- Added foobar() function (sofia-sip/foobar.h).
- This release is ABI/API compatible with applications
linked against 1.12.0. The ABI has been tested with the nua
module unit test (test_nua) built against original 1.12.0 release.
- This release is ABI/API compatible with applications linked against
any 1.12.x release. However, applications built against this release won't
work against an older library. The ABI has been tested with the nua module
unit test (test_nua) built against original 1.12.0 release.
libsofia-sip-ua-glib:
- No ABI/API changes, compatible with 1.12.0. Note, libsofia-sip-ua-glib
......
......@@ -3,7 +3,7 @@ Sofia-SIP release management README
===================================
:Author: Kai Vehmanen <kai -dot vehmanen -at- nokia -dot- com>
:Version: 20060616-11
:Version: 20060809-12
:Formatting: reStructuredText, http://docutils.sourceforge.net/rst.html
Introduction
......@@ -126,3 +126,11 @@ tree.
changes made outside the target tree (what, who and when -
for example produced with the "darcs changes --summary"
command).
Checking API/ABI compatibility
==============================
- Use a unit test binary built against an old library,
to verify a new library version (forwards-compatibility).
- Use the 'icheck' tool (in Debian) to make comparsion
with two released versions.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment